> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Finds an UndesiredGuest entity.

- Product: Undesired guests
- Section: UndesiredGuest
- Snapshot: Current
- Method: `GET`
- Path: `/api/undesired_guests/find`

## Query parameters

### `email`

Type: `string`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.undesiredGuests.find({
  email: "<email>",
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/undesired_guests/find" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "email=$EMAIL"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "id": 0,
  "email": "email",
  "name": "name",
  "reason": "reason"
}
```

##### Schema

###### UndesiredGuest

Type: `UndesiredGuest`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: no  

###### `email`

Type: `string`  
Required: yes  

###### `reason`

Type: `string`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/undesired-guests/methods/find/)
- [TypeScript Markdown](/undesired-guests/methods/find.md?lang=typescript)
- [curl Markdown](/undesired-guests/methods/find.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/undesired-guests/llms.txt)
- [snapshot llms.txt](/undesired-guests/llms.txt)
